List verticals
GET /verticals
GET /verticals
Operation
GET
/verticals
Returns the distinct verticals (categories) used on advertisers in the caller's accessible scope. Supports cursor pagination via `cursor` and classic page/per_page (max 20 per page).
Operation ID:
listVerticals
·
Tags: Verticals
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
page
|
query | No | integer | — |
per_page
|
query | No | integer | — |
limit
|
query | No | integer | Upper bound for per_page |
cursor
|
query | No | string | Cursor token returned by a previous paginated response |
with_deals
|
query | No | boolean | Only include verticals tagged on advertisers with deals |
with_approved
|
query | No | boolean | Only include verticals from approved advertisers |
dry_run
|
query | No | boolean | — |
Request Body
No request body is defined for this operation.
Responses
Content Types
application/json
{
"description": "List of verticals (offset or cursor envelope)",
"content": {
"application/json": {
"schema": {
"oneOf": [
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Vertical"
}
},
"meta": {
"$ref": "#/components/schemas/AdvertiserOffsetMeta"
}
},
"required": [
"data",
"meta"
]
},
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Vertical"
}
},
"pagination": {
"$ref": "#/components/schemas/Pagination"
}
},
"required": [
"data",
"pagination"
]
}
]
},
"examples": {
"offset_response": {
"summary": "Offset-paginated verticals list",
"value": {
"data": [
{
"id": 12,
"name": "Fashion",
"slug": "fashion"
},
{
"id": 14,
"name": "Technology",
"slug": "technology"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"per_page": 20,
"total_count": 2,
"total_pages": 1
}
}
}
}
}
}
}
{
"$ref": "#/components/responses/Unauthorized"
}
API Playground
Run this GET request with your API key, or open it in a new tab. Path uses sample IDs where the OpenAPI path has {parameters}.
Sign in to enable live testing with your API key.
| Action | Method | Endpoint | Description |
|---|---|---|---|
| List verticals | GET |
/api/v1/verticals |
OpenAPI operationId: listVerticals. |
GET /api/v1/verticals
OpenAPI
List verticals